<template>
	<view style="padding-bottom: 80upx;">
		<view class="boxs flex align-center justify-between">
			<view>
				<view class="text-xl text-bold" v-show="order.resumesName">{{order.resumesName}}</view>
				<view class="flex align-center margin-top-xs flex-wrap" style="color: #141414;">
					<text v-show="order.resumesSex">{{order.resumesSex==1?'男':'女'}}</text>
					<text v-show="order.resumesSex" class="margin-lr-sm"
						style="width: 1rpx;height: 25rpx;background: #CCCCCC;"></text>
					<text v-show="order.resumesAge">{{order.resumesAge}}岁</text>
					<text v-show="order.resumesAge" class="margin-lr-sm"
						style="width: 1rpx;height: 25rpx;background: #CCCCCC;">
					</text>
					<text v-show="order.resumesWorkExperience">{{order.resumesWorkExperience}}</text>
					<text v-show="order.resumesWorkExperience" class="margin-lr-sm"
						style="width: 1rpx;height: 25rpx;background: #CCCCCC;">
					</text>
					<text v-show="order.resumesEducation">{{order.resumesEducation}}</text>
					<text v-show="order.resumesEducation" class="margin-lr-sm"
						style="width: 1rpx;height: 25rpx;background: #CCCCCC;">
					</text>
					<text v-show="order.resumesMarriage">{{order.resumesMarriage}}</text>
				</view>
			</view>
			<view>
				<image :src="order.avatar?order.avatar:'../../../static/logo.png'"
					style="width:95upx;height:95upx;border-radius:54upx;"></image>
			</view>
		</view>
		<view class="yx flex justify-center">
			<view class="yx-box">
				<view class="yx-box-title flex align-center">
					<text>求职意向</text>
					<text>{{order.resumesStatus==1?'离职-正在找工作':(order.resumesStatus==2?'在职-考虑机会':'在职-暂不考虑')}}</text>
				</view>
				<view class="yx-box-jl">
					<view class="yx-box-jl-t" v-show="order.resumesPost">
						{{order.resumesPost}}
					</view>
					<view v-show="order.resumesCompensation" class="yx-box-jl-label flex align-center">
						{{order.resumesCompensation}}/月
						<view class="yx-box-jl-label-l"></view>
						{{order.city}}
						<!-- <view class="yx-box-jl-label-l" v-if="order.resumesType"></view>
						{{order.resumesType}} -->
					</view>
					<view class="yx-box-jl-label flex align-center" style="color: #999999;" v-show="order.industryName">
						<block v-for="(item,index) in order.industryName">
							{{item}}
							<view class="yx-box-jl-label-l" v-if="index != order.industryName.length - 1"></view>
						</block>
					</view>
				</view>
				<view class="yx-box-rem" v-show="order.resumesDetails">
					<view class="yx-box-rem-t">
						自我介绍
					</view>
					<view class="yx-box-rem-i">
						{{order.resumesDetails}}
					</view>
				</view>
			</view>
		</view>
		<!-- 经验 -->
		<view class="jy flex justify-center">
			<view class="jy-box flex justify-center">
				<view class="jy-box-c">
					<block v-if="order.resumesCompanyList && order.resumesCompanyList.length!=0">
						<view class="jy-box-c-title">
							工作经历
						</view>
						<view class="jy-box-c-gs" v-for="(item,index) in order.resumesCompanyList" :key="index">
							<view class="left-line"></view>
							<image src="../../../static/images/jltop.png" mode=""></image>
							<view class="jy-box-c-gs-name">
								{{item.resumesTitle}}
							</view>
							<view class="jy-box-c-gs-time flex align-center">
								<text>{{item.resumesPost}}</text>
								<text>{{item.resumesTime}}</text>
							</view>
							<view class="jy-box-c-gs-c">
								{{item.resumesContent}}
							</view>
						</view>
					</block>

					<block v-if="order.resumesWorkList && order.resumesWorkList.length!=0">
						<view class="jy-box-c-title" :style="order.resumesCompanyList.length!=0?'margin-top:50rpx':''">
							项目经验
						</view>
						<view class="jy-box-c-gs" v-for="(item,indexs) in order.resumesWorkList" :key="indexs+1">
							<view class="left-line"></view>
							<image src="../../../static/images/jltop.png" mode=""></image>
							<view class="jy-box-c-gs-name">
								{{item.resumesTitle}}
							</view>
							<view class="jy-box-c-gs-time flex align-center">
								<text style="color: #999999;">{{item.resumesTime}}</text>
							</view>
							<view class="jy-box-c-gs-c">
								{{item.resumesContent}}
							</view>
						</view>
					</block>
					<block v-if="order.graduationTime && order.graduationTime.length!=0">
						<view class="jy-box-c-title" :style="order.resumesWorkList.length!=0?'margin-top:50rpx':''">
							教育经历
						</view>
						<view class="jy-box-c-gs">
							<view class="left-line"></view>
							<image src="../../../static/images/jltop.png" mode=""></image>
							<view class="jy-box-c-gs-name">
								{{order.school}}
							</view>
							<view class="jy-box-c-gs-time flex align-center" v-if="order.graduationTime">
								<text style="color: #999999;">{{order.graduationTime}}</text>
							</view>
							<view class="jy-box-c-gs-c flex align-center" style="color: #141414;">
								{{order.resumesEducation}}
								<view class=""
									style="height: 26rpx;width: 1rpx;border: 1rpx solid #CCCCCC;margin: 0 20rpx;">
								</view>
								{{order.major}}
							</view>
						</view>
					</block>

				</view>
			</view>
		</view>

		<view class="btn flex justify-center align-center">
			<view class="btn-box flex justify-between">

				<view class="btn-box-l flex justify-center flex-wrap" @click="addShield()" style="width: 80rpx;"
					v-if="!order.isShield || order.isShield==0">
					<view class="">

						<u-icon name="plus-people-fill" style="margin-right: 20rpx;" color="#333333" size="50"></u-icon>
					</view>
					<view class="" style="color: #242424;font-size: 24rpx;margin-top: 5rpx;">
						黑名单
					</view>
				</view>

				<view v-if="order.isShield && order.isShield!=0" class="btn-box-l flex justify-center flex-wrap"
					@click="delShield()" style="width: 120rpx;">
					<view class="">
						<!-- <image style="width: 40rpx;height: 48rpx;" src="../../../static/images/hmd.png" mode=""></image> -->
						<u-icon name="minus-people-fill" style="margin-right: 40rpx;" color="#333333"
							size="50"></u-icon>
					</view>
					<view class="" style="color: #242424;font-size: 24rpx;margin-top: 5rpx;">
						移除黑名单
					</view>

				</view>
				<view class="btn-box-l flex justify-center flex-wrap" @click="goJuBao()" style="width: 80rpx;">
					<view class="">
						<u-icon name="warning" color="#333333" size="50"></u-icon>
						<!-- <image style="width: 40rpx;height: 48rpx;" src="../../../static/images/hmd.png" mode=""></image> -->
					</view>
					<view class="" style="color: #242424;font-size: 24rpx;margin-top: 5rpx;">
						举报
					</view>
				</view>

				<view class="btn-box-l flex justify-center flex-wrap" @click="setCollection()" style="width: 80rpx;">
					<view class="">
						<u-icon name="star" v-if="order.isCollection==0" color="#333333" size="50"></u-icon>
						<u-icon name="star-fill" v-else color="#016BF6" size="50"></u-icon>
						<!-- <image style="width: 40rpx;height: 48rpx;" src="../../../static/images/hmd.png" mode=""></image> -->
					</view>
					<view class="" style="color: #242424;font-size: 24rpx;margin-top: 5rpx;">
						{{order.isCollection==0?'收藏':'取消'}}
					</view>
				</view>
				<view class="btn-box-r flex justify-between">
					<view class="btn-box-r-l flex justify-center align-center" @click="bindphone(order.resumesPhone,2)">
						<!-- 获取简历 -->
						联系ta
					</view>
					<!-- <view class="btn-box-r-r flex justify-center align-center">
						联系ta
					</view> -->
				</view>
			</view>
		</view>
		<!-- 返回首页按钮 -->
		<!-- #ifdef H5 -->
		<view class="backHome" @click="goHome()">
			<image src="../../../static/images/index/backHome.png" mode=""></image>
		</view>
		<!-- #endif -->

	</view>
</template>

<script>
	export default {
		//分享
		onShareAppMessage(res) {
			return {
				path: '/pages/index/game/orderDet?resumesId=' + this.resumesId + '&invitation=' + uni.getStorageSync(
					'invitationCode'), //这是为了传参    
				title: this.order.resumesName,


			}
		},
		/*
		 * uniapp微信小程序分享页面到微信朋友圈
		 */
		onShareTimeline(res) {
			return {
				path: '/pages/index/game/orderDet?resumesId=' + this.resumesId + '&invitation=' + uni.getStorageSync(
					'invitationCode'), //这是为了传参  
				title: this.order.resumesName,


			}
		},
		data() {
			return {
				show2: false,
				show: false,
				images: [{
					id: 1,
					img: '../../../static/logo.png'
				}, {
					id: 2,
					img: '../../../static/logo.png'
				}, {
					id: 3,
					img: '../../../static/logo.png'
				}],
				resumesId: '',
				order: [],
				viewResumes: 0, //免费特权次数
				member: null,
				price: 0, //会员特权价格
				userId: 0,
				weekMember: '',
				byuserId: '', //对方userid
				postPushId: '', //对应招聘岗位的id
			}
		},
		onLoad(option) {
			// 获取邀请码保存到本地
			if (option.invitation) {
				this.$queue.setData('inviterCode', option.invitation);
			}
			// #ifdef MP-WEIXIN
			if (option.scene) {
				const scene = decodeURIComponent(option.scene);
				this.$queue.setData('inviterCode', scene.split(',')[0]);
			}
			// #endif
			uni.showLoading({
				title: '加载中'
			})
			this.weekMember = uni.getStorageSync('weekMember')
			this.userId = uni.getStorageSync('userId') ? uni.getStorageSync('userId') : 0
			if (option.resumesId) {
				this.resumesId = option.resumesId
				this.getDetail()
			} else if (option.userId) {
				this.byuserId = option.userId
				this.getDetails()
			}
			// 获取邀请码保存到本地
			if (option.invitation) {
				this.$queue.setData('inviterCode', option.invitation);
			}
		},

		onShow() {

		},
		methods: {
			goJuBao() {
				if (uni.getStorageSync('token')) {
					uni.navigateTo({
						url: '/my/feedback/jubao?resumesId=' + this.resumesId
					})
				} else {
					uni.showModal({
						title: '提示',
						content: '请登录后获取简历',
						showCancel: true,
						cancelText: '取消',
						confirmText: '去登录',
						confirmColor: '#016BF6',
						complete: (res) => {
							if (res.confirm) {
								uni.navigateTo({
									url: '/pages/public/login'
								})
							}

						}
					});
				}

			},
			/**
			 * 收藏简历
			 */
			setCollection() {
				this.$Request.postT("/app/myCollection/saveCollection", {
					resumesId: this.resumesId,
					type: 2
				}).then(res => {
					if (res.code == 0) {
						uni.showToast({
							title: res.msg
						})
						setTimeout(() => {
							this.getDetail()
						}, 1500)
					} else {
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
					}
				})
			},
			goHome() {
				let pages = getCurrentPages(); // 获取页面栈
				if (pages.length > 1) { //有上一页
					uni.navigateBack()
				} else {
					uni.switchTab({
						url: '/pages/index/index'
					})
				}
			},
			//移除黑名单
			delShield() {
				let that = this
				let data = {
					shieldType: 2,
					userId: that.order.userId,
					companyId: uni.getStorageSync('companyId'),
				}
				that.$Request.postT('/app/shieldCompany/deleteShieldCompany', data).then(res => {
					if (res.code == 0) {
						uni.showToast({
							title: '移除黑名单成功',
							duration: 1500,
						})
						setTimeout(() => {
							that.getDetail()
						}, 1500)

					} else {
						uni.showToast({
							title: res.msg,
							icon: 'none'
						})
					}
				})
			},
			//加入黑名单
			addShield() {
				let that = this
				uni.showModal({
					title: '提示',
					content: '拉入黑名单后，该用户不会再出现简历推荐中，可从黑名单中移除，确认加入黑名单？',
					confirmColor: '#016BF6',
					complete(ret) {
						if (ret.confirm) {
							let data = {
								shieldType: 2,
								userId: that.order.userId,
								companyId: uni.getStorageSync('companyId'),
							}
							that.$Request.postJson('/app/shieldCompany/insertShieldCompany', data).then(res => {
								if (res.code == 0) {
									uni.showToast({
										title: '加入黑名单成功',
										duration: 1500,
									})
									setTimeout(() => {
										that.getDetail()
									}, 1500)
								} else {
									uni.showToast({
										title: res.msg,
										icon: 'none'
									})
								}
							})
						}
					}
				})

			},
			gotozhouka() {
				uni.navigateTo({
					url: '/my/vip/zhouka'
				})
			},
			getJianLiNum() {
				if (uni.getStorageSync('token')) {
					//获取 简历次数
					this.$Request.get('/app/user/selectUserById').then(res => {
						if (res.code == 0) {
							let viewResumes = res.data.viewResumes
							let member = res.data.member
							this.viewResumes = viewResumes
							this.member = member
							if (this.viewResumes == 0) {
								this.$Request.get('/app/rule/selectRuleClassifyById', {
									classifyId: this.order.ruleClassifyId
								}).then(ret => {
									if (ret.code == 0) {
										if (this.member > 0) {
											this.price = ret.data.memberPrice
										} else {
											this.price = ret.data.price
										}
										this.show2 = true
									}
								})
							} else {
								this.show = true
							}

						}
					});
				} else {
					uni.showModal({
						title: '提示',
						content: '请登录后获取简历',
						showCancel: true,
						cancelText: '取消',
						confirmText: '去登录',
						confirmColor: '#016BF6',
						complete: (res) => {
							if (res.confirm) {
								uni.navigateTo({
									url: '/pages/public/login'
								})
							}

						}
					});
				}

			},
			//获取简历
			getJianLi() {
				this.show = false
				this.show2 = false
				this.$Request.get('/app/resumes/viewResumes', {
					resumesId: this.resumesId
				}).then(res => {
					if (res.code == 0) {
						uni.showToast({
							title: '获取成功'
						})
						setTimeout(() => {
							this.getDetail();
						}, 1000)

					} else {
						uni.showToast({
							title: res.msg,
							icon: "none"
						})
					}
				})
			},
			//去联系
			goMsg() {
				this.getDetail()
				this.$Request.postJson('/app/chat/insertChatConversation', {
					userId: this.order.userId,
					focusedUserId: uni.getStorageSync('userId'),
					postPushId: this.postPushId,
					resumesId: this.resumesId,
					// type:2,
				}).then(ret => {
					if (ret.code == 0) {
						uni.navigateTo({
							url: '/pages/msg/im?byUserId=' + this.order
								.userId + '&chatConversationId=' + ret.data
								.chatConversationId + '&resumesId=' + ret
								.data
								.resumesId + '&postPushId=' +
								ret.data.postPushId
						})
					}
				})
			},
			// 获取已使用的次数
			isCheckPay() {
				if (!this.postPushId) {
					uni.showToast({
						title: '您还未发布该岗位',
						icon: 'none'
					})
					return
				}
				let that = this
				let data = {
					resumesId: this.resumesId
				}
				this.$Request.getT('/app/resumes/checkPower', data).then(res => {
					if (res.code == 0) {
						if (res.data.type === 1) { //当前是会员
							if (res.data.nowCount < res.data.maxCount) { //如果免费次数没有使用完
								uni.showModal({
									title: '提示',
									content: '尊敬的会员，你可以使用会员特权免费联系ta,当前已使用' + res.data.nowCount + '次，总共' +
										res
										.data.maxCount + '次，确认联系吗？',
									cancelText: '我再想想',
									confirmText: '确认联系',
									confirmColor: '#016BF6',
									complete(ret) {
										if (ret.confirm) {
											that.$Request.postT('/app/userMoney/countPayResumes', data)
												.then(
													ress => {
														if (ress.code == 0) {
															//购买成功直接联系
															that.goMsg()
														} else {
															uni.showToast({
																title: ress.msg,
																icon: 'none'
															})
														}
													})
										}
									},
								})
							} else { //已经使用完了
								uni.showModal({
									title: '提示',
									content: '免费联系次数已使用完，是否支付' + res.data.money + '钻石联系ta？',
									cancelText: '我再想想',
									confirmText: '确认联系',
									confirmColor: '#016BF6',
									complete(ret) {
										if (ret.confirm) {
											that.$Request.postT('/app/userMoney/payResumes', data).then(
												ress => {
													if (ress.code == 0) {
														//购买成功直接联系
														that.goMsg()
													} else {
														uni.showModal({
															title: '提示',
															content: ress.msg,
															confirmText: '去充值',
															confirmColor: '#016BF6',
															complete(ree) {
																if (ree.confirm) {
																	uni.navigateTo({
																		url: '/my/wallet/wallet'
																	})
																}
															}
														})

													}
												})
										}
									}
								})
							}

						} else { // 不是会员
							if (res.data.nowCount < res.data.maxCount) { //还有免费次数
								uni.showModal({
									title: '提示',
									content: '免费联系次数已使用' + res.data.nowCount + '次，总共' + res
										.data.maxCount + '次，确认联系吗？',
									cancelText: '我再想想',
									confirmText: '确认联系',
									confirmColor: '#016BF6',
									complete(ret) {
										if (ret.confirm) {
											that.$Request.postT('/app/userMoney/countPayResumes', data)
												.then(
													ress => {
														if (ress.code == 0) {
															//购买成功直接联系
															that.goMsg()
														} else {
															uni.showToast({
																title: ress.msg,
																icon: 'none'
															})
														}
													})
										}
									},
								})
							} else { //没有免费次数
								uni.showModal({
									title: '提示',
									content: '免费联系次数已使用完，是否支付' + res.data.money + '钻石联系ta？',
									cancelText: '我再想想',
									confirmText: '确认联系',
									confirmColor: '#016BF6',
									complete(ret) {
										if (ret.confirm) {
											that.$Request.postT('/app/userMoney/payResumes', data).then(
												ress => {
													if (ress.code == 0) {
														//购买成功直接联系
														that.goMsg()
													} else {
														uni.showModal({
															title: '提示',
															content: ress.msg,
															confirmText: '去充值',
															confirmColor: '#016BF6',
															complete(ree) {
																if (ree.confirm) {
																	uni.navigateTo({
																		url: '/my/wallet/wallet'
																	})
																}
															}
														})

													}
												})
										}
									}
								})
							}

						}
					}
				})
			},
			// 联系ta
			bindphone(phone, index) {
				let token = uni.getStorageSync('token')
				if (token) {
					this.$Request.get("/app/company/selectCompanyByUserId").then(res => {
						if (res.code == 0 && res.data) {
							this.CompanyList = res.data
							if (this.CompanyList.status == 1) {
								uni.showModal({
									title: '提示',
									content: '您提交的企业认证正在审核，是否查看修改?',
									confirmColor: '#016BF6',
									success: function(res) {
										if (res.confirm) {
											console.log('用户点击确定');
											uni.navigateTo({
												url: '/my/renzheng/index'
											})
										} else if (res.cancel) {
											console.log('用户点击取消');
										}
									}
								})
							} else if (this.CompanyList.status == 2) {
								if (index == 2) {
									if (this.order.isPay === 0) { //需要购买
										this.isCheckPay()
									} else { //已购买的直接联系
										this.goMsg()
									}

								} else {
									let that = this
									uni.showModal({
										title: '提示',
										content: '是否拨打电话',
										confirmColor: '#016BF6',
										success: function(ret) {
											if (ret.confirm) {
												console.log('用户点击确定', that.phone);
												uni.makePhoneCall({
													phoneNumber: phone //仅为示例
												});
											} else if (ret.cancel) {
												console.log('用户点击取消');
											}
										}
									});
								}
							} else if (this.CompanyList.status == 3) {
								uni.showModal({
									title: '提示',
									content: '您提交的企业认证已被拒绝，是否查看修改?',
									confirmColor: '#016BF6',
									success: function(res) {
										if (res.confirm) {
											console.log('用户点击确定');
											uni.navigateTo({
												url: '/my/renzheng/index'
											})
										} else if (res.cancel) {
											console.log('用户点击取消');
										}
									}
								})
							}
						} else {
							uni.showModal({
								title: '提示',
								content: '您还未企业认证,请先进行认证',
								confirmColor: '#016BF6',
								success: function(res) {
									if (res.confirm) {
										console.log('用户点击确定');
										uni.navigateTo({
											url: '/my/renzheng/index'
										})
									} else if (res.cancel) {
										console.log('用户点击取消');
									}
								}
							})
						}
					})
				} else {
					uni.showModal({
						title: '提示',
						content: '您还未登录,请先登录',
						confirmColor: '#016BF6',
						success: function(res) {
							if (res.confirm) {
								console.log('用户点击确定');
								uni.navigateTo({
									url: '/pages/public/login'
								})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					})
				}


			},
			getDetails() {
				uni.showLoading({
					title: '加载中'
				})
				let data = {
					userId: this.byuserId
				}
				this.$Request.get('/app/resumes/selectResumesByUserIds', data).then(res => {
					if (res.code == 0) {
						uni.hideLoading()
						if (res.data.status == 1) {
							uni.showModal({
								title: '提示',
								content: '该简历审核中，暂无法查看',
								showCancel: false,
								cancelText: '',
								confirmText: '去首页',
								confirmColor: '#016BF6',
								complete: (ret) => {
									if (ret.confirm) {
										uni.switchTab({
											url: '/pages/index/index'
										})
									}
								}
							});
						} else {
							this.order = res.data
							if (this.order.resumesImage) {
								this.order.resumesImage = this.order.resumesImage.split(',')
							}
							if (this.order.resumesImageName) {
								this.order.resumesImageName = this.order.resumesImageName.split(',')
							}

						}

					}
				})
			},
			getDetail() {
				uni.showLoading({
					title: '加载中'
				})
				let data = {
					resumesId: this.resumesId,
					userId: this.userId,
					companyId: uni.getStorageSync('companyId')
				}
				//this.$Request.get('/app/resumes/selectResumesByResumesId', data).then(res => {
					this.$Request.get('/app/userFirst/getResumes', data).then(res => {
					if (res.code == 0) {
						uni.hideLoading()
						if (res.data.status == 1) {
							uni.showModal({
								title: '提示',
								content: '该简历审核中，暂无法查看',
								showCancel: false,
								cancelText: '',
								confirmText: '去首页',
								confirmColor: '#016BF6',
								complete: (ret) => {
									if (ret.confirm) {
										uni.switchTab({
											url: '/pages/index/index'
										})
									}
								}
							});
						} else {
							this.order = res.data
							this.order.industryName = this.order.industryName.split(',')
							this.getJobList(this.order.resumesPost)
						}

					} else {
						uni.hideLoading()
						uni.showModal({
							title: '提示',
							content: '用户简历不存在',
							showCancel: false,
							complete(ret) {
								uni.navigateBack()
							}
						})
					}
				})
			},
			//使用岗位名称查询出企业正在招聘的该岗位拿到对应的岗位id
			getJobList(ruleClassifyName) {
				let data = {
					status: 2,
					page: 1,
					limit: 1,
					ruleClassifyName: ruleClassifyName,
					companyId: uni.getStorageSync('companyId')
				}
				this.$Request.getT('/app/postPush/getPostPushList', data).then(res => {
					if (res.code == 0) {
						this.postPushId = res.data.records[0].postPushId
					}
				})
			},
			// 查看图片
			saveImg(imgs, index) {
				// console.log(imgs)
				let that = this;
				let imgArr = imgs
				// imgArr.push(imgs);
				// //预览图片
				uni.previewImage({
					urls: imgArr,
					current: imgArr[index]
				});
			},
		}
	}
</script>

<style lang="less">
	page {
		background: #F2F2F7;
		padding-bottom: 100rpx;
	}

	.backHome {
		position: fixed;
		right: 30rpx;
		bottom: 160rpx;

		image {
			width: 80rpx;
			height: 80rpx;
			border-radius: 50%;
		}
	}

	.boxs {
		background: #FFFFFF;
		border-radius: 24upx 24upx 0 0;
		padding: 30upx;
		margin: 30upx 30upx 0 30upx;
	}

	.yx {
		width: 100%;

		// height: 100rpx;
		// background-color: red;
		.yx-box {
			width: calc(100% - 60rpx);
			height: 100%;
			background-color: #FFFFFF;
			border-radius: 0 0 24rpx 24rpx;
			padding-top: 20rpx;
			padding-bottom: 30rpx;

			.yx-box-title {
				width: 100%;
				padding-left: 30rpx;
				padding-right: 30rpx;

				text:nth-of-type(1) {
					color: #333333;
					font-size: 32rpx;
					font-weight: 800;
					margin-right: 30rpx;
				}

				text:nth-of-type(2) {
					color: #141414;
					font-size: 26rpx;
				}
			}

			.yx-box-jl {
				margin-top: 40rpx;
				padding-left: 30rpx;
				padding-right: 30rpx;

				.yx-box-jl-t {
					color: #080808;
					font-size: 30rpx;

				}

				.yx-box-jl-label {
					margin-top: 20rpx;
					color: #141414;
					font-size: 26rpx;

					.yx-box-jl-label-l {
						width: 1rpx;
						height: 26rpx;
						border-right: 1rpx solid #CCCCCC;
						margin: 0 20rpx;
					}
				}

			}

			.yx-box-rem {
				margin-top: 60rpx;
				padding-left: 30rpx;
				padding-right: 30rpx;

				.yx-box-rem-t {
					color: #333333;
					font-size: 32rpx;
					font-weight: 800;
				}

				.yx-box-rem-i {
					color: #666666;
					font-size: 26rpx;
					margin-top: 30rpx;
				}
			}
		}
	}

	.jy {
		width: 100%;
		// height: 200rpx;
		margin-top: 20rpx;

		.jy-box {
			width: calc(100% - 60rpx);
			height: 100%;
			background-color: #FFFFFF;
			border-radius: 24rpx;

			.jy-box-c {
				width: calc(100% - 60rpx);
				height: 100%;
				padding-top: 50rpx;
				padding-bottom: 50rpx;
			}

			.jy-box-c-title {
				color: #121212;
				font-size: 34rpx;
				font-weight: 800;
				margin-bottom: 30rpx;
			}

			.jy-box-c-gs {
				width: 100%;
				padding-left: 20rpx;
				height: 100%;
				position: relative;
				padding-bottom: 30rpx;

				.left-line {
					position: absolute;
					left: 0;
					top: 5%;
					height: 95%;
					border-left: 5rpx solid #F0F0F2;
				}

				image {
					width: 20rpx;
					height: 20rpx;
					border-radius: 50%;
					position: absolute;
					top: 10rpx;
					left: -9rpx;
				}
			}

			.jy-box-c-gs-name {
				color: #121212;
				font-size: 30rpx;
				font-weight: bold;
			}

			.jy-box-c-gs-time {
				color: #101010;
				font-size: 28rpx;
				margin-top: 30rpx;

				text:nth-of-type(1) {
					margin-right: 30rpx;
				}
			}

			.jy-box-c-gs-c {
				color: #666666;
				font-size: 26rpx;
				margin-top: 20rpx;
			}
		}
	}

	.btn {
		width: 100%;
		height: 120rpx;
		background-color: #FFFFFF;
		position: fixed;
		bottom: 0;

		.btn-box {
			width: 686rpx;
			height: 80rpx;

			.btn-box-l {
				height: 100%;
				margin: 0 10rpx;
			}

			.btn-box-r {
				flex: 1;
				// width: 540rpx;
				height: 100%;
				border-radius: 45rpx;
				margin-left: 10rpx;

				.btn-box-r-l {
					width: 100%;
					border-radius: 45rpx;
					background-color: #ddecff;
					color: #016BF6;
					font-size: 32rpx;
					font-weight: bold;
				}

				.btn-box-r-r {
					width: 50%;
					border-radius: 0 45rpx 45rpx 0;
					background: linear-gradient(90deg, #00DCC2 0%, #00DC94 100%);
					color: #FFFFFF;
					font-size: 32rpx;
					font-weight: bold;
				}
			}
		}
	}
</style>